#
# Call this scriptlet to apply this vdr-patchset
#

apply_vdr_patchset() {
	local APPLY
	PDIR=${1}
	[[ -z ${PDIR} ]] && PDIR="."
	
	# Patches to be applied even with USE=vanilla.
	# Begin of vanilla-Patches
	# End of vanilla-Patches
	
	# here vanilla-part is finished.
	
	if ! use vanilla; then
		
		# Patches which gets applied without special use-flag-control
		epatch ${PDIR}/010-vdr-1.4.6-add-svdrp-down-0.1.diff
		epatch ${PDIR}/020-vdr-1.4.6-prepare-collisions.diff
		
		# Normal Patches which gets controlled via use-flags
		
		epatch ${PDIR}/030-vdr-1.4.6-ignore-dumpable-warning.diff
		
		epatch ${PDIR}/040-vdr-1.4.6-continue-plugin-failed.diff
		
		APPLY=0
		use lnbsharing && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/050-vdr-1.4.6-configurableLNBshare-VDR.diff
		fi
		
		APPLY=0
		use sourcecaps && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/060-vdr-1.4.6-SourceCaps.diff
		fi
		
		APPLY=0
		use aio && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/070-vdr-1.4.6-liemikuutio-1.13.diff
		fi
		
		APPLY=0
		use bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/080-vdr-1.4.6-bigpatch.diff
			add_cap PATCHED_BIGPATCH PATCHED_CMDSUBMENU
		fi
		
		APPLY=0
		use dvbplayer && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/090-vdr-1.4.6-dvbplayer5.diff
		fi
		
		APPLY=0
		use !bigpatch && use dolby-record-switch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/100-vdr-1.4.6-RecordDolby-r1.diff
		fi
		
		APPLY=0
		use !bigpatch && use cmdsubmenu && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/110-vdr-1.4.6-cmdsubmenu-0.7.diff
			add_cap PATCHED_CMDSUBMENU
		fi
		
		APPLY=0
		use jumpplay && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/120-vdr-1.4.6-jumpplay-0.9.diff
			add_cap PATCHED_JUMPPLAY
		fi
		
		APPLY=0
		use noepg && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/130-vdr-1.4.6-noepg-plain.diff
		fi
		
		APPLY=0
		use !bigpatch && use child-protection && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/140-vdr-1.4.6-pin-part1.diff
		fi
		
		APPLY=0
		use !bigpatch && use child-protection && use aio && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/150-vdr-1.4.6-pin-part2-aio.diff
		fi
		
		APPLY=0
		use !bigpatch && use child-protection && use !aio && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/160-vdr-1.4.6-pin-part2-plain.diff
		fi
		
		APPLY=0
		use !bigpatch && use child-protection && use lnbsharing && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/170-vdr-1.4.6-pin-part3-lnbsharing.diff
		fi
		
		APPLY=0
		use !bigpatch && use child-protection && use !lnbsharing && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/180-vdr-1.4.6-pin-part3-plain.diff
		fi
		
		APPLY=0
		use setup-plugin && use bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/190-vdr-1.4.6-Setup-0.3.0-for-bigpatch.diff
		fi
		
		APPLY=0
		use setup-plugin && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/200-vdr-1.4.6-Setup-0.3.0-normal.diff
		fi
		
		APPLY=0
		use submenu && use !setup-plugin && use bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/210-vdr-1.4.6-pluginsubmenu-bigpatch.diff
		fi
		
		APPLY=0
		use submenu && use !setup-plugin && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/220-vdr-1.4.6-submenu-0.7+.diff
		fi
		
		APPLY=0
		use subtitles && use bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/230-vdr-1.4.6-subtitles-0.4.0-and-ttxtsubs-0.0.5-bigpatch.diff
		fi
		
		APPLY=0
		use subtitles && use !bigpatch && use !dolby-record-switch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/240-vdr-1.4.6-subtitles-0.4.0-and-ttxtsubs-0.0.5.diff
		fi
		
		APPLY=0
		use subtitles && use !bigpatch && use dolby-record-switch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/250-vdr-1.4.6-subtitles-0.4.0-and-ttxtsubs-0.0.5-dolby_record_switch.diff
		fi
		
		epatch ${PDIR}/260-vdr-1.4.6-SetGroupSep.diff
		
		epatch ${PDIR}/270-vdr-1.4.6-4channelscan.diff
		
		APPLY=0
		use yaepg && use !bigpatch && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/280-vdr-1.4.6-yaepg.diff
		fi
		
		APPLY=0
		use rotor && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/290-vdr-1.4.6-Rotor.diff
		fi
		
		APPLY=0
		use jumpplay && use dxr3-audio-denoise && APPLY=1
		use bigpatch && use dxr3-audio-denoise && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/300-vdr-1.4.6-dxr3-marks-mute2-jumpplay.diff
		fi
		
		APPLY=0
		use !bigpatch && use !jumpplay && use dxr3-audio-denoise && APPLY=1
		if [[ ${APPLY} == 1 ]]; then
			epatch ${PDIR}/310-vdr-1.4.6-dxr3-marks-mute2-plain.diff
		fi
	fi
}
